clear all
close all

%%Create spatial mesh

[x,y] = meshgrid(-3:0.1:2,-3:0.1:2);
f1 = y - x;
f2 = y + x.^2;


figure(1)
quiver(x,y,f1,f2)




%%NOw solve the ode:  x' = y-x, y' = x+y^2;  %%uses the function file vf.m
sk = 5; %how many grid points in x,y meshgrid above to skip for initial data

figure(3)
hold on
%Solve and plot trajectories for a initial data on a grid defined by [x,y]
%above
for jj = 1:sk:length(x(:,1))
for ii = 1:sk:length(x(:,2))

x0 = x(ii,jj);%X0(ii)
y0 = y(ii,jj);%1*X0(ii) - jj*.1;

%Final time
tf = 15;



[t,v] = ode45(@vf,[0 tf],[x0;y0]);  %%also try ode45

%figure(2)
%plot(v(:,1),v(:,2),'LineWidth',2)



%%Overlay solution and vector field

figure(3)
quiver(x,y,f1,f2,'Color',[0 0.42,0.77])
plot(v(:,1),v(:,2),'LineWidth',2)
plot(x0,y0,'o','MarkerSize',10)
xlim([-3 2])
ylim([-3 2])


end
end
