clear all
close all

%%Create spatial mesh

[x,y,z] = meshgrid( -1:0.1:1,-1:0.1:1,-1:0.1:1);
f1 = 2*x;y - x;
f2 = z - y; y + x.^2;
f3 = -z;

figure(1)
quiver3(x,y,z,f1,f2,f3)




%%NOw solve the ode:  x' = y-x, y' = x+y^2;  %%uses the function file vf.m
sk = 3; %how many grid points in x,y meshgrid above to skip for initial data

figure(3)
hold on
%Solve and plot trajectories for a initial data on a grid defined by [x,y]
%above
for jj = 1:sk:length(x(:,1))
for ii = 1:sk:length(x(:,2))

x0 = 0.1;%x(1,ii,jj);%X0(ii)
y0 = y(ii,1,jj);%y(ii,jj,1);%1*X0(ii) - jj*.1;
z0 = z(1,ii,jj);

%Final time
tf = 15;



[t,v] = ode15s(@vf3,[-tf tf],[x0;y0;z0]);  %%also try ode45

%figure(2)
%plot(v(:,1),v(:,2),'LineWidth',2)



%%Overlay solution and vector field

figure(3)
%quiver3(x,y,z,f1,f2,f3,'Color',[0 0.42,0.77])
plot3(v(:,1),v(:,2),v(:,3),'LineWidth',2)
plot3(x0,y0,z0,'o','MarkerSize',10)
xlim([-4 4])
ylim([-4 4])
view([30 30])
xlabel('x')
ylabel('y')
zlabel('z')

end
end
